Skip to content

Get specified recipient and survey content

GET
/v1/Survey/Recipients/{id}/WithSurvey
curl --request GET \
--url https://rms.dev.caspeco.net/api/booking/v1/Survey/Recipients/example/WithSurvey

Get specified recipient, and if the status is not cancelled or answered, the content of the survey as well

id
required
string

Id of given recipient

The specified SurveyRecipient structures

Media typeapplication/json
object
content
One of:
object
title
required
string
>= 1 characters
description
string
nullable
pages
required
Array<object>
object
title
string
nullable
description
string
nullable
sections
required
Array<object>
object
title
string
nullable
description
string
nullable
questions
required
Array<object>
object
id
integer format: int64
ref
string
nullable
title
required
string
>= 1 characters
description
string
nullable
required
boolean
questionType
integer
Allowed values: 0 1 2
questionScale
One of:
object
min
required
integer format: int32
max
required
integer format: int32
minLabel
string
nullable
maxLabel
string
nullable
value
integer format: int64
nullable
questionText
One of:
object
multiLine
boolean
value
string
nullable
confirmationText
string
nullable
recipient
One of:
object
id
string format: guid
rev
integer format: int64
surveyId
string format: guid
ref
string
nullable
referenceTime
string format: date-time
nullable
name
string
nullable
emailAddress
string
nullable
mobilePhone
string
nullable
invitationMethod
integer
Allowed values: 0 1 2
sendTime
string format: date-time
nullable
remindTime
string format: date-time
nullable
callbackUri
string
nullable
sentTime
string format: date-time
nullable
remindedTime
string format: date-time
nullable
openedTime
string format: date-time
nullable
respondedTime
string format: date-time
nullable
callbackCallCount
integer format: int32
callbackCallSuccess
boolean
callbackCalledTime
string format: date-time
nullable
status
integer
Allowed values: 0 1 2 3 4 5 6 999
replaceParams
object
key
additional properties
string
Example
{
"application/json": {
"content": {
"title": "Utvärdering av Lennart's restaurang",
"description": "Hej {{name}} och tack för ditt besök hos oss på Lennart's. Ta dig gärna tid att fylla i denna utvärdering",
"pages": [
{
"title": "Sida ett",
"sections": [
{
"title": "Upplevelsen",
"description": "Hur upplevde du besöket?",
"questions": [
{
"id": 0,
"title": "Vad tyckte du om upplevelsen?",
"description": "Välj på skalan hur du uppfattade besöket.",
"required": true,
"questionType": 2,
"questionScale": {
"min": 1,
"max": 10,
"minLabel": "Avskyvärt",
"maxLabel": "Väldigt trevligt"
}
},
{
"id": 1,
"title": "Beskriv upplevelsen",
"description": "Förklara i klartext hur du uppfattade besöket",
"required": false,
"questionType": 1,
"questionText": {
"multiLine": false
}
}
]
}
]
}
],
"confirmationText": "Tack för att du tog dig tid!"
},
"recipient": {
"id": "aa2af7b1-c640-4d4b-a9b2-8eaf68b446b7",
"rev": 0,
"surveyId": "ff07bf69-8453-4c1b-b407-1a3467a4109a",
"referenceTime": "2025-12-01T07:50:09.6469591+00:00",
"name": "Lennart Lennartsbesökare",
"emailAddress": "lennart@lennart.se",
"mobilePhone": "0701234567",
"invitationMethod": 0,
"sendTime": "2025-12-01T12:50:09.6469562+00:00",
"remindTime": "2025-12-01T17:50:09.646959+00:00",
"callbackCallCount": 0,
"callbackCallSuccess": false,
"status": 1,
"replaceParams": {
"name": "Lennart",
"personalMsg": "Glöm inte att sälja din freestyle Lennart!"
}
}
}
}